curl --request PATCH \
--url https://api.onset.io/v1/releases/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"slug": "<string>",
"body": "<string>",
"is_public": true,
"project_id": "<string>",
"label_ids": [
"<string>"
],
"contributor_ids": [
"<string>"
],
"attachments": [
{
"type": "FILE",
"content": {
"title": "<string>",
"url": "<string>",
"size": 123,
"type": "<string>"
},
"id": "<string>"
}
],
"hero": {
"url": "<string>"
},
"changes": [
{
"id": "<string>",
"change_id": "<string>",
"content": "<string>"
}
],
"contributors": [
{
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>"
}
],
"is_pinned": true,
"is_pre_release": true,
"version": "<string>"
}
'import requests
url = "https://api.onset.io/v1/releases/{id}"
payload = {
"title": "<string>",
"slug": "<string>",
"body": "<string>",
"is_public": True,
"project_id": "<string>",
"label_ids": ["<string>"],
"contributor_ids": ["<string>"],
"attachments": [
{
"type": "FILE",
"content": {
"title": "<string>",
"url": "<string>",
"size": 123,
"type": "<string>"
},
"id": "<string>"
}
],
"hero": { "url": "<string>" },
"changes": [
{
"id": "<string>",
"change_id": "<string>",
"content": "<string>"
}
],
"contributors": [
{
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>"
}
],
"is_pinned": True,
"is_pre_release": True,
"version": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
slug: '<string>',
body: JSON.stringify('<string>'),
is_public: true,
project_id: '<string>',
label_ids: ['<string>'],
contributor_ids: ['<string>'],
attachments: [
{
type: 'FILE',
content: {title: '<string>', url: '<string>', size: 123, type: '<string>'},
id: '<string>'
}
],
hero: {url: '<string>'},
changes: [{id: '<string>', change_id: '<string>', content: '<string>'}],
contributors: [{id: '<string>', name: '<string>', avatar_url: '<string>'}],
is_pinned: true,
is_pre_release: true,
version: '<string>'
})
};
fetch('https://api.onset.io/v1/releases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"body": "<string>",
"slug": "<string>",
"version": "<string>",
"is_pinned": true,
"is_public": true,
"is_pre_release": true,
"summary": "<string>",
"hero": {
"url": "<string>"
},
"changes": [
{
"id": "<string>",
"change_id": "<string>",
"content": "<string>"
}
],
"project": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"labels": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"color": "<string>"
}
],
"attachments": [
{
"type": "FILE",
"content": {
"title": "<string>",
"url": "<string>",
"size": 123,
"type": "<string>"
},
"id": "<string>"
}
],
"contributors": [
{
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>"
}
],
"released_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"details": {}
}Update release
Update an existing release
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Release ID
Body
Release title
3 - 255Release status
DRAFT, RELEASED URL-friendly release identifier
3 - 255^[a-z0-9]+(?:-[a-z0-9]+)*$Release description/body content
Whether release should be publicly visible
ID of the project this release belongs to
Array of label IDs to attach to the release
Array of contributor IDs to attach to the release
Array of attachments to include
- Option 1
- Option 2
Show child attributes
Show child attributes
Hero image/video for the release
Show child attributes
Show child attributes
List of changes in this release
Show child attributes
Show child attributes
List of contributors to this release
Show child attributes
Show child attributes
Whether release should be pinned
Whether this is a pre-release
Release version
Response
Release updated successfully
Unique release identifier
Release title
Release description/body content (HTML formatted)
URL-friendly release identifier
Current release status
DRAFT, RELEASED Release version
Whether release is pinned
Whether release is publicly visible
Whether this is a pre-release
AI generated summary of the release
Hero image/video for the release
Show child attributes
Show child attributes
List of changes in this release
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
List of contributors to this release
Show child attributes
Show child attributes
When the release was released
When the release was created
When the release was last updated
Was this page helpful?

